libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From to...@apache.org
Subject [libcloud] 02/12: Update Dockerfile - remove support for Python versions we don't support anymore and add support for ones we do.
Date Sun, 03 May 2020 16:23:10 GMT
This is an automated email from the ASF dual-hosted git repository.

tomaz pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/libcloud.git

commit bf25ca3298a41249c8a2193cd8359eafee7f206e
Author: Tomaz Muraus <tomaz@tomaz.me>
AuthorDate: Sun May 3 16:42:39 2020 +0200

    Update Dockerfile - remove support for Python versions we don't support
    anymore and add support for ones we do.
---
 contrib/Dockerfile | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/contrib/Dockerfile b/contrib/Dockerfile
index 54c1c28..00a7090 100644
--- a/contrib/Dockerfile
+++ b/contrib/Dockerfile
@@ -7,20 +7,24 @@ RUN set -e && \
       wget \
       ssh && \
     add-apt-repository ppa:deadsnakes/ppa && \
+    add-apt-repository ppa:pypy/ppa && \
     apt-get update && \
     apt-get -y install \
-      python2.7 \
-      python3.4 \
       python3.5 \
       python3.6 \
+      python3.7 \
+      python3.8 \
       python-dev \
-      python2.7-dev \
-      python3.4-dev \
       python3.5-dev \
       python3.6-dev \
-      pypy \
+      python3.7-dev \
+      python3.8-dev \
+      pypy3 \
       python-pip
 
+# Workaround for zipp import error issue - https://github.com/pypa/virtualenv/issues/1630
+RUN pip install --upgrade pip
+
 RUN set -e && \
     pip install --no-cache-dir tox \
       mock \
@@ -31,4 +35,4 @@ COPY . /libcloud
 
 WORKDIR /libcloud
 
-CMD ["tox", "-e", "py2.7", "pypypy", "py3.4", "py3.5", "py3.6", "lint"]
+CMD ["tox", "-e", "py3.5", "py3.6", "py3.7", "py3.8", "pypypy3", "lint"]


Mime
View raw message